Page MenuHomePhabricator

[header follow up] Drop the background gradient in preparation for sidebar changes
Closed, ResolvedPublic3 Estimated Story Points

Description

Currently there is a background gradient that displays on new Vector. While keeping it on the old Vector we don't want this on the new Vector.

Removing it is a little tricky as the required CSS rule is contained in the gigantic common.less

We will likely need to break this down first per decisions made in https://gerrit.wikimedia.org/r/587855

QA Results - Beta|Prod

ACStatusDetails
1T251583#6125330

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2020, 11:54 PM
Demian added a subscriber: Demian.EditedMay 1 2020, 12:38 AM

There are 2 rules to be disabled for modern. These rules are in the huge common.less, which is not preferable to be duplicated for legacy, thus currently the best approach would be a conditional rule with the @is-legacy LESS var proposed by @Jdlrobson. The patch that demonstrates it: patch 589774.

After splitting 'common.less' the containing file 'theme.less' patch 587855 will be small enough to warrant a copy in 'legacy/' folder thus removing the need for a @is-legacy LESS var.

The task description does not say the page's gray background should be removed. That would be the 3rd rule to remove.

Change 593647 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] [modern] Drop the background gradient

https://gerrit.wikimedia.org/r/593647

ovasileva triaged this task as Medium priority.May 4 2020, 3:18 PM
ovasileva raised the priority of this task from Medium to High.May 4 2020, 4:41 PM

@Jdlrobson, @alexhollender - is this for the header only or for the sidebar as well? I think this is the latest version of the sidebar and the gradient is still there although just for the sidebar. (now edited with the link to the prototype https://di-collapsible-sidebar-5.firebaseapp.com/Hathor)

Jdlrobson renamed this task from [header follow up] Drop the background gradient to [header follow up] Drop the background gradient for header and sidebar.May 4 2020, 5:16 PM

@Jdlrobson, @alexhollender - is this for the header only or for the sidebar as well? I think this is the latest version of the sidebar and the gradient is still there although just for the sidebar. (now edited with the link to the prototype https://di-collapsible-sidebar-5.firebaseapp.com/Hathor)

Thanks for calling this out. We do want a gradient on the sidebar. I think a more precise title for this task might be "Remove gradient from header element and background color from body element". Currently the sidebar doesn't have its own background/gradient specified (it just picks up the background color from the page itself).

Jdlrobson renamed this task from [header follow up] Drop the background gradient for header and sidebar to [header follow up] Drop the background gradient in preparation for sidebar changes.May 5 2020, 4:56 PM

Hopefully the new title reflects this better?

ovasileva set the point value for this task to 3.May 5 2020, 5:29 PM

Change 595079 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] [modern] Move up color and background-color rule from content to body

https://gerrit.wikimedia.org/r/595079

Change 593647 merged by jenkins-bot:
[mediawiki/skins/Vector@master] [modern] Drop the background gradient

https://gerrit.wikimedia.org/r/593647

Change 595079 merged by jenkins-bot:
[mediawiki/skins/Vector@master] [modern] Move up color and background-color rule from content to body

https://gerrit.wikimedia.org/r/595079

@Jdlrobson do you just want it to look like the screenshot?

Edtadros reassigned this task from Edtadros to ovasileva.May 11 2020, 3:56 PM
Edtadros added a subscriber: Edtadros.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA steps

✅ AC1: Verify that the background gradient is not visible (see screenshot in task detail).

Edtadros updated the task description. (Show Details)May 11 2020, 3:57 PM
ovasileva closed this task as Resolved.May 11 2020, 4:20 PM

Looks good!